%define gir_major 3.0
%define major 0
%define libname %mklibname %{name} %{major}
%define girname %mklibname %{name}-gir %{gir_major}
%define develname %mklibname -d %{name}

Summary:	Mutter window manager
Name:		mutter
Version:	3.12.2
Release:	3
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://ftp.gnome.org/pub/gnome/sources/mutter/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/mutter/3.12/%{name}-%{version}.tar.xz
Patch0:		mutter-3.8.3-fullscreen-flash-player.patch
Patch1:		overlay-key-pressed-v4.patch

BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	intltool
BuildRequires:	zenity
BuildRequires:	gnome-common gtk-doc
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 3.11.3
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0)
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(upower-glib)
BuildRequires:	pkgconfig(gnome-desktop-3.0)

Requires: GConf2
Requires: zenity
Requires: typelib(Meta)

%description
Mutter is a simple window manager that integrates nicely with 
GNOME 2.

%package -n %{libname}
Summary:	Libraries for Mutter
Group:		System/Libraries
Obsoletes:	%{_lib}mutter-private0 < %{version}

%description -n %{libname}
This package contains libraries used by Mutter.

%package -n %{girname}
Summary: GObject Introspection interface description for %{name}
Group: System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Summary:	Libraries and include files with Mutter
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %{name}-private 0
Obsoletes:	%{_lib}mutter-private-devel < %{version}

%description -n %{develname}
This package provides the necessary development libraries and include 
files to allow you to develop with Mutter.

%prep
%setup -q
%apply_patches

%build
if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi;

%configure2_5x \
	--disable-static \
	--disable-scrollkeeper \
	--enable-compile-warnings=no

%make

%install
%makeinstall_std
%find_lang %{name} 

%files -f %{name}.lang
%doc README COPYING NEWS HACKING 
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/GConf/gsettings/mutter-schemas.convert
%{_datadir}/glib-2.0/schemas/org.gnome.mutter.gschema.xml
%{_datadir}/gnome-control-center/keybindings/*.xml
%{_datadir}/gnome/wm-properties/%{name}-wm.desktop
%{_datadir}/gtk-doc/
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/default.so
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{girname}
%{_libdir}/%{name}/Meta-%{gir_major}.typelib

%files -n %{develname}
%doc ChangeLog
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/%{name}/Meta-%{gir_major}.gir


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.12.2-3
+ Revision: 62fcbc3
- MassBuild#440: Increase release tag


